Bug 1007101 - [abrt] btrfs-progs-0.20.rc1.20130308git704a08c-1.fc19: __assert_fail_base: Process /usr/sbin/btrfsck was killed by signal 6 (SIGABRT)
[abrt] btrfs-progs-0.20.rc1.20130308git704a08c-1.fc19: __assert_fail_base: Pr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: btrfs-progs (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Josef Bacik
Fedora Extras Quality Assurance
abrt_hash:0b1bf8422da0b143bb319d6cd24...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 18:37 EDT by Matthias Bruegge
Modified: 2013-11-26 10:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 10:26:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (4.17 KB, text/plain)
2013-09-11 18:37 EDT, Matthias Bruegge
no flags Details
File: cgroup (140 bytes, text/plain)
2013-09-11 18:37 EDT, Matthias Bruegge
no flags Details
File: core_backtrace (2.47 KB, text/plain)
2013-09-11 18:37 EDT, Matthias Bruegge
no flags Details
File: dso_list (637 bytes, text/plain)
2013-09-11 18:37 EDT, Matthias Bruegge
no flags Details
File: environ (2.41 KB, text/plain)
2013-09-11 18:37 EDT, Matthias Bruegge
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-11 18:38 EDT, Matthias Bruegge
no flags Details
File: maps (2.17 KB, text/plain)
2013-09-11 18:38 EDT, Matthias Bruegge
no flags Details
File: open_fds (104 bytes, text/plain)
2013-09-11 18:38 EDT, Matthias Bruegge
no flags Details
File: proc_pid_status (764 bytes, text/plain)
2013-09-11 18:38 EDT, Matthias Bruegge
no flags Details

  None (edit)
Description Matthias Bruegge 2013-09-11 18:37:44 EDT
Description of problem:
Tried to recover crashed drive with 'btrfs recover'

Version-Release number of selected component:
btrfs-progs-0.20.rc1.20130308git704a08c-1.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        btrfsck /dev/sdd2
crash_function: __assert_fail_base
executable:     /usr/sbin/btrfsck
kernel:         3.10.10-200.fc19.i686.PAE
runlevel:       N 5
uid:            0
var_log_messages: Sep 10 18:13:15 waldorf abrt[12219]: Saved core dump of pid 12117 (/usr/sbin/btrfsck) to /var/tmp/abrt/ccpp-2013-09-10-18:12:41-12117 (316387328 bytes)

Truncated backtrace:
Thread no. 1 (5 frames)
 #3 __assert_fail_base at assert.c:92
 #4 __assert_fail at assert.c:101
 #5 free_extent_buffer at extent_io.c:604
 #6 close_ctree at disk-io.c:1323
 #7 cmd_check at cmds-check.c:3660
Comment 1 Matthias Bruegge 2013-09-11 18:37:47 EDT
Created attachment 796562 [details]
File: backtrace
Comment 2 Matthias Bruegge 2013-09-11 18:37:50 EDT
Created attachment 796563 [details]
File: cgroup
Comment 3 Matthias Bruegge 2013-09-11 18:37:53 EDT
Created attachment 796564 [details]
File: core_backtrace
Comment 4 Matthias Bruegge 2013-09-11 18:37:56 EDT
Created attachment 796565 [details]
File: dso_list
Comment 5 Matthias Bruegge 2013-09-11 18:37:59 EDT
Created attachment 796566 [details]
File: environ
Comment 6 Matthias Bruegge 2013-09-11 18:38:02 EDT
Created attachment 796567 [details]
File: limits
Comment 7 Matthias Bruegge 2013-09-11 18:38:05 EDT
Created attachment 796568 [details]
File: maps
Comment 8 Matthias Bruegge 2013-09-11 18:38:08 EDT
Created attachment 796569 [details]
File: open_fds
Comment 9 Matthias Bruegge 2013-09-11 18:38:11 EDT
Created attachment 796570 [details]
File: proc_pid_status
Comment 10 Eric Sandeen 2013-09-18 11:52:39 EDT
A new git snapshot of btrfs-progs has been pushed to F19 testing.  If possible, please re-test these bugs & feel free to close or comment as appropriate.

Thanks,
-Eric
Comment 11 Eric Sandeen 2013-11-14 14:31:42 EST
This is a mass update of F19 and F20 btrfs-progs bugs.

A btrfs-progs git snapshot has been built in Rawhide and submitted for F19 and F20 testing.

If your bug was reproducible, please re-test with the new build, and update this bug to let us know if it's been resolved.  If so I can add it to the Bodhi errata.

Thanks,
-Eric
Comment 12 Eric Sandeen 2013-11-26 10:26:16 EST
It's probably clear by now that nobody is going to look at these old abrt bugs on ancient btrfs-progs snapshots.  So let's just be honest about it and close them.

Much newer code is being pushed out to F19 and F20 and rawhide; hopefully new abrt issues can be given more attention in the future.

Note You need to log in before you can comment on or make changes to this bug.